lev

## Class LByteSearcher

- java.lang.Object
- - lev.LByteSearcher

-     public class LByteSearcher
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LByteSearcher(byte[]... targets_)` Creates a searcher object that will look for the given target bytes.
    `LByteSearcher(int target)` Creates a search object that will look for the target int.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `next(char in)` Inform the searcher of the next input, and receive feedback if something was found.
    `byte[]` | `next(char in, java.io.BufferedInputStream input)` Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
    `byte[]` | `next(int in)` Inform the searcher of the next input, and receive feedback if something was found.
    `byte[]` | `next(int in, java.io.BufferedInputStream input)` Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LByteSearcher

          public LByteSearcher(byte[]... targets_)

      Creates a searcher object that will look for the given target bytes.
      Parameters:
        `targets_` - Strings to look for.

    - #### LByteSearcher

          public LByteSearcher(int target)

      Creates a search object that will look for the target int.
      Parameters:
        `target` -

  - ### Method Detail

    - #### next

          public byte[] next(int in)

      Inform the searcher of the next input, and receive feedback if something was found.
      Parameters:
        `in` - The next input
      Returns:
        Target if found, byte[] of size 0 if not.

    - #### next

          public byte[] next(char in)

      Inform the searcher of the next input, and receive feedback if something was found.
      Parameters:
        `in` - The next input
      Returns:
        Target if found, byte[] of size 0 if not.

    - #### next

          public byte[] next(int in,
                    java.io.BufferedInputStream input)

      Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
      Parameters:
        `in` - The next input
        `input` - Stream to mark.
      Returns:
        Target if found, byte[] of size 0 if not.

    - #### next

          public byte[] next(char in,
                    java.io.BufferedInputStream input)

      Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
      Parameters:
        `in` - The next input
        `input` - Stream to mark.
      Returns:
        Target if found, byte[] of size 0 if not.